## libgalago 0.5.0-0osso3

=== debian/changelog ===
libgalago (0.5.0-0osso3) unstable; urgency=low

  * Fix memory leak (#28757)

 -- Ross Burton <ross@openedhand.com>  Fri,  5 May 2006 15:03:09 +0100

libgalago (0.5.0-0osso2) unstable; urgency=low

  * Allow thumb builds.

 -- Ross Burton <ross@openedhand.com>  Tue, 11 Apr 2006 14:44:22 +0100

libgalago (0.5.0-0osso1) unstable; urgency=low

  * New release
  - Fix destruction
  - Fix re-registration and disconnection

 -- Ross Burton <ross@openedhand.com>  Tue, 11 Apr 2006 14:44:22 +0100

libgalago (0.3.3.90-4osso2) unstable; urgency=low

  * New release
    - check for destruction when unrefing objects

 -- Ross Burton <ross@openedhand.com>  Mon, 10 Apr 2006 15:30:02 +0100

libgalago (0.3.3.90-4osso1) unstable; urgency=low

  * New release
    - Reduced memory use
    - Don't crash if galago-daemon restarted
    - removed atexit handler, no more deadlocked feeds
    - destroy objects correctly

 -- Ross Burton <ross@openedhand.com>  Mon, 10 Apr 2006 15:09:30 +0100

libgalago (0.3.3.90-3) hoary; urgency=low

  * New release

 -- Jorn Baayen <jorn@openedhand.com>  Tue, 5 Apr 2006 11:37:12 +0300

libgalago (0.3.3.90-2) hoary; urgency=low

  * New release

 -- Jorn Baayen <jorn@openedhand.com>  Tue, 4 Apr 2006 15:23:12 +0300

libgalago (0.3.3.90-1) hoary; urgency=low

  * new upstream version released

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Fri, 31 Mar 2006 11:20:33 +0300

libgalago (0.3.3-4) hoary; urgency=low

  * merge from CodeCamp

 -- Christian Hammond <chipx86@chipx86.com>  Mon, 20 Feb 2006 17:55:40 +0200

libgalago (0.3.3-3) hoary; urgency=low

  * Removed dependency on devscripts as BIFH's repository doesn't
    contain it

 -- Christian Hammond <chipx86@chipx86.com>  Thu,  9 Feb 2006 20:40:12 +0200

libgalago (0.3.3-2) hoary; urgency=low

  * Synced with upstream

 -- Christian Hammond <chipx86@chipx86.com>  Thu,  9 Feb 2006 18:26:58 +0200

libgalago (0.3.3-1) hoary; urgency=low

  * New upstream release.
  * Fix Build-Depends to depend on either dbus-glib-1-dev or
    libdbus-glib-1-dev instead of dbus-1-dev and libglib2.0-dev instead of
    libglib2.0-0.
  * Build-depend on autoconf, automake, libtool, and gettext.
  * Build-depend on cvs, since we use autopoint (as specified in gettext's
    README.Debian).
  * Bumped up Standards-Version to 3.6.2
  * Fixed some lintian errors and warnings where appropriate.

 -- Christian Hammond <chipx86@chipx86.com>  Sat, 27 Aug 2005 19:43:44 -0700

libgalago (0.3.2-1) hoary; urgency=low

  * New upstream release.
  * Moved the distribution name to hoary.

 -- Christian Hammond <chipx86@chipx86.com>  Wed, 25 May 2005 01:04:03 -0700

libgalago (0.3.1-1) unstable; urgency=low

  * New upstream release (fixes build issues).

 -- Christian Hammond <chipx86@chipx86.com>  Fri,  1 Apr 2005 20:30:03 -0800

libgalago (0.3.0-1) unstable; urgency=low

  * Initial Release.

 -- Christian Hammond <chipx86@chipx86.com>  Wed, 16 Mar 2005 01:14:54 -0800
