## libgalago 0.5.0-0osso3maemo1

=== debian/changelog ===
libgalago (0.5.0-0osso3maemo1) unstable; urgency=low

  * Clean-up.

 -- Maemo Integration <integratio@maemo.org>  Wed,  5 Jul 2006 14:30:07 +0300
