=== debian/control ===
Source: libgalago
Priority: optional
Maintainer: Christian Hammond <chipx86@chipx86.com>
Build-Depends: autotools-dev, autoconf (>= 2.53), libtool (>= 1.4), gettext (>= 0.11.5), libdbus-glib-1-dev (>= 0.60-1osso7), debhelper (>= 4.0.0), libglib2.0-dev (>= 2.2.0)
Standards-Version: 3.6.2

Package: libgalago1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libgalago0
Description: Galago presence library
 Galago is a D-BUS-based desktop presence framework used to provide account,
 person, and presence information for users on IM services and other
 communication networks for use in other desktop applications, such as e-mail
 clients or address books.

Package: libgalago1-dbg
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libgalago0
Description: Galago presence library
 Galago is a D-BUS-based desktop presence framework used to provide account,
 person, and presence information for users on IM services and other
 communication networks for use in other desktop applications, such as e-mail
 clients or address books.

Package: libgalago-dev
Section: libdevel
Architecture: any
Depends: libgalago1 (= ${Source-Version}), pkg-config (>= 0.14.0)
Description: Libraries and header files for developing against libgalago
 The libgalago-dev package contains the header files and documentation
 needed to develop applications with libgalago.
