## libgalago 0.5.1-0osso4

=== debian/changelog ===
libgalago (0.5.1-0osso4) unstable; urgency=low

  * Hack to fix build outside of Scratchbox (Fixes: NB#36248)

 -- Ross Burton <ross@openedhand.com>  Mon, 21 Aug 2006 15:14:58 +0100

libgalago (0.5.1-0osso3) unstable; urgency=low

  * Add missing galago_cancel_call prototype
  * Add support for pending presence.

 -- Ross Burton <ross@openedhand.com>  Wed,  9 Aug 2006 15:49:04 +0100

libgalago (0.5.1-0osso2.1) unstable; urgency=low

  * gtk-doc-tools added to Build-Deps

 --  Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Wed,  2 Aug 2006 12:03:14 +0300

libgalago (0.5.1-0osso2) unstable; urgency=low

  * Merge from upstream SVN to rev 2879.
    - Adds async APIs

 -- Ross Burton <ross@openedhand.com>  Wed, 19 Jul 2006 16:38:10 +0100

libgalago (0.5.1-0osso1) unstable; urgency=low

  * Sync with upstream libgalago 0.5.1

 -- Ross Burton <ross@openedhand.com>  Wed, 19 Jul 2006 12:56:41 +0100
