=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libgalago
 Priority: optional
-Maintainer: Christian Hammond <chipx86@chipx86.com>
-Build-Depends: autotools-dev, autoconf (>= 2.53), libtool (>= 1.4), gettext (>= 0.11.5), libdbus-glib-1-dev (>= 0.60-1osso7), debhelper (>= 4.0.0), libglib2.0-dev (>= 2.2.0)
+Maintainer: Onne Gorter <onne.gorter@nokia.com>
+Build-Depends: autotools-dev, autoconf (>= 2.53), libtool (>= 1.4), gettext (>= 0.11.5), libdbus-glib-1-dev (>= 0.60-1osso7), debhelper (>= 4.0.0), libglib2.0-dev (>= 2.2.0), gtk-doc-tools
 Standards-Version: 3.6.2
 
 Package: libgalago1
