=== debian/rules ===
--- 
+++ 
@@ -87,7 +87,10 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/tmp
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+	# Setting top_builddir is a workaround for po/Makefile having a
+	# relative top_builddir which results in mkinstalldirs not being
+	# found.
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp top_builddir=$(CURDIR)
 
 
 # Build architecture-independent files here.
