## libgalago 0.5.1-0osso8.2

=== debian/changelog ===
libgalago (0.5.1-0osso8.2) unstable; urgency=low

  * more strict versioned dependency on libgalago1 made for libgagalo-
    dbg

 -- Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>  Wed, 25 Oct 2006 15:54:32 +0300

libgalago (0.5.1-0osso8) unstable; urgency=low

  * Silence a warning that we need to fix later in telepathy-feed

 -- Ross Burton <ross@openedhand.com>  Tue, 24 Oct 2006 11:55:32 +0100

libgalago (0.5.1-0osso7) unstable; urgency=low

  * Filter the signal matching more (Fixes: NB#40709)

 -- Ross Burton <ross@openedhand.com>  Tue, 19 Sep 2006 13:25:49 +0100

libgalago (0.5.1-0osso6) unstable; urgency=low

  * Add galago_make_resident() for loadable modules to call.

 -- Ross Burton <ross@openedhand.com>  Fri,  1 Sep 2006 17:13:49 +0100

libgalago (0.5.1-0osso5) unstable; urgency=low

  * Set the core singleton to NULL when its destroyed.

 -- Ross Burton <ross@openedhand.com>  Tue, 29 Aug 2006 17:10:43 +0100
