=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Package: libgalago1-dbg
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: libgalago1 (= ${Source-Version})
 Conflicts: libgalago0
 Description: Galago presence library
  Galago is a D-BUS-based desktop presence framework used to provide account,
