=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,18 @@
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -mthumb
 endif
+
+ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
+	PARALLEL_JOBS := $(shell echo $(DEB_BUILD_OPTIONS) | \
+		sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
+	ifeq ($(DEB_BUILD_OPTIONS),$(PARALLEL_JOBS))
+		PARALLEL_JOBS := $(shell if [ -f /proc/cpuinfo ]; \
+			then echo `cat /proc/cpuinfo | grep 'processor' | wc -l`; \
+			else echo 1; fi)
+	endif
+	NJOBS := -j$(PARALLEL_JOBS)
+endif
+MAKEFLAGS += $(NJOBS)
 
 # shared library versions, option 1
 version=$(shell dpkg-parsechangelog | grep '^Version: ' | sed -e 's/^Version: //' -e 's/-[A-Za-z0-9\.\+]*$$//g' -e 's/+[A-Za-z0-9\.]*$$//g')
